package mg.dot.feufaro.di

import SharedScreenModel
import mg.dot.feufaro.DisplayConfigManager // Importez DisplayConfigManager
import mg.dot.feufaro.musicXML.MusicXML
import mg.dot.feufaro.solfa.Solfa
import mg.dot.feufaro.viewmodel.SolfaScreenModel
import org.koin.core.module.Module
import org.koin.dsl.module
import org.koin.core.module.dsl.singleOf

val commonModule = module {
    singleOf(::MusicXML)
    single { DisplayConfigManager(fileRepository = get())}
    single { SharedScreenModel(fileRepository = get()) }

    single { Solfa(get(), get()) }
    single { SolfaScreenModel(get(), get()) }
    single { MusicXML(get()) }
}

expect val platformModule: Module